# $Revision: 1.2 $, $Date: 2007/04/13 19:59:23 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	PerlIO
%define	pnam	via-Bzip2
Summary:	PerlIO::via::Bzip2 - PerlIO layer for Bzip2 (de)compression
Summary(pl.UTF-8):	PerlIO::via::Bzip2 - warstwa PerlIO do (de)kompresji Bzip2
Name:		perl-PerlIO-via-Bzip2
Version:	0.02
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/PerlIO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1ec8c4b0772301deeb1a4639b3282f09
URL:		http://search.cpan.org/dist/PerlIO-via-Bzip2/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Compress-Bzip2 >= 1.03
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a PerlIO layer which will let you handle bzip2
compressed files transparently.

%description -l pl.UTF-8
Ten moduł implementuje warstwę PerlIO pozwalającą obsługiwać w sposób
przezroczysty pliki skompresowane algorytmem bzip2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/PerlIO/via/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PerlIO-via-Bzip2.spec,v $
Revision 1.2  2007/04/13 19:59:23  qboosh
- pl

Revision 1.1  2007/04/12 18:45:11  radek
- new
